org.apache.solr.client.solrj.response.schema

## Class SchemaRepresentation

- java.lang.Object
- - org.apache.solr.client.solrj.response.schema.SchemaRepresentation

-     public class SchemaRepresentation
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Map<String,Object>>` | `getCopyFields()`
    `String` | `getDefaultOperator()`
    `String` | `getDefaultSearchField()`
    `List<Map<String,Object>>` | `getDynamicFields()`
    `List<Map<String,Object>>` | `getFields()`
    `List<FieldTypeDefinition>` | `getFieldTypes()`
    `String` | `getName()`
    `Map<String,Object>` | `getSimilarity()`
    `String` | `getUniqueKey()`
    `float` | `getVersion()`
    `void` | `setCopyFields(List<Map<String,Object>> copyFields)`
    `void` | `setDefaultOperator(String defaultOperator)`
    `void` | `setDefaultSearchField(String defaultSearchField)`
    `void` | `setDynamicFields(List<Map<String,Object>> dynamicFields)`
    `void` | `setFields(List<Map<String,Object>> fields)`
    `void` | `setFieldTypes(List<FieldTypeDefinition> fieldTypes)`
    `void` | `setName(String name)`
    `void` | `setSimilarity(Map<String,Object> similarity)`
    `void` | `setUniqueKey(String uniqueKey)`
    `void` | `setVersion(float version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaRepresentation

          public SchemaRepresentation()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getVersion

          public float getVersion()

    - #### setVersion

          public void setVersion(float version)

    - #### getUniqueKey

          public String getUniqueKey()

    - #### setUniqueKey

          public void setUniqueKey(String uniqueKey)

    - #### getDefaultSearchField

          public String getDefaultSearchField()

    - #### setDefaultSearchField

          public void setDefaultSearchField(String defaultSearchField)

    - #### getDefaultOperator

          public String getDefaultOperator()

    - #### setDefaultOperator

          public void setDefaultOperator(String defaultOperator)

    - #### getSimilarity

          public Map<String,Object> getSimilarity()

    - #### setSimilarity

          public void setSimilarity(Map<String,Object> similarity)

    - #### getFields

          public List<Map<String,Object>> getFields()

    - #### setFields

          public void setFields(List<Map<String,Object>> fields)

    - #### getDynamicFields

          public List<Map<String,Object>> getDynamicFields()

    - #### setDynamicFields

          public void setDynamicFields(List<Map<String,Object>> dynamicFields)

    - #### getFieldTypes

          public List<FieldTypeDefinition> getFieldTypes()

    - #### setFieldTypes

          public void setFieldTypes(List<FieldTypeDefinition> fieldTypes)

    - #### getCopyFields

          public List<Map<String,Object>> getCopyFields()

    - #### setCopyFields

          public void setCopyFields(List<Map<String,Object>> copyFields)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.